Bug 38554 - documentation for __Random should specify arguments are Integer
documentation for __Random should specify arguments are Integer
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.1.1
Other other
: P3 minor (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-02-07 17:06 UTC by Ivan Rancati
Modified: 2006-02-07 16:51 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Rancati 2006-02-07 17:06:56 UTC
From the jmeter.log it's quite obvious how to fix the error, however you may
want to update the docs saying "an integer" instead of "a number"

thanks again for a great testing tool


2006/02/07 17:00:33 ERROR - jmeter.threads.JMeterThread: Test failed!
java.lang.NumberFormatException: For input string: "10000000000"
        at
java.lang.NumberFormatException.forInputString(NumberFormatException.java:48)
        at java.lang.Integer.parseInt(Integer.java:459)
        at java.lang.Integer.parseInt(Integer.java:497)
        at org.apache.jmeter.functions.Random.execute(Random.java:77)
        at
org.apache.jmeter.engine.util.CompoundVariable.execute(CompoundVariable.java:125)
        at
org.apache.jmeter.engine.util.CompoundVariable.execute(CompoundVariable.java:93)
        at
org.apache.jmeter.testelement.property.FunctionProperty.getStringValue(FunctionProperty.java:85)
        at
org.apache.jmeter.modifiers.UserParameters.setValues(UserParameters.java:141)
        at
org.apache.jmeter.modifiers.UserParameters.iterationStart(UserParameters.java:158)
        at
org.apache.jmeter.control.GenericController.fireIterationStart(GenericController.java:227)
        at
org.apache.jmeter.control.GenericController.fireIterEvents(GenericController.java:217)
        at
org.apache.jmeter.control.GenericController.next(GenericController.java:86)
        at org.apache.jmeter.threads.ThreadGroup.next(ThreadGroup.java:123)
        at org.apache.jmeter.threads.JMeterThread.run(JMeterThread.java:233)
        at java.lang.Thread.run(Thread.java:595)
Comment 1 Sebb 2006-02-07 18:49:01 UTC
Or perhaps allow it to be a Long ...
Comment 2 Sebb 2006-02-08 01:51:14 UTC
Thanks for the report - fixed by allowing long numbers